%define version	0.99
%define release %mkrel 3

Summary: 	GUI Download manager using wget
Name: 		gwget
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/File transfer
Source: 	ftp://ftp.gnome.org/pub/gnome/sources/gwget/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
#fwang: support epiphany >= 2.19 (from fedora)
Patch1:		gwget-0.99-epiphany219.patch
URL: 		http://gwget.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildrequires:	libgnomeui2-devel
Buildrequires:	libglade2.0-devel
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:  epiphany-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
Requires: 	wget >= 1.10

%description
Gwget is a download manager for GNOME 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%package -n epiphany-gwget
Summary:	Epiphany extension, using gwget as downloader
Group: 		Networking/File transfer
Requires:	gwget = %{version}
# (Abel) It is impossible to say: "Requires: epiphany = 1.6.x"
Requires:	epiphany

%description -n epiphany-gwget
Gwget is a download manager for GNOME 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

This package contains an extension for epiphany, the GNOME web browser,
which allows the browser to use gwget as an external file downloader.

%prep
%setup -q
%patch1 -p1

#fix build
intltoolize --force
autoreconf

%build
%configure2_5x --enable-epiphany-extension
%make CFLAGS="%optflags -Wall"

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

sed -i -e 's/^\(Icon=.*\).png$/\1/g' $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	--add-category='FileTransfer;GTK;GNOME' \
	%buildroot%_datadir/applications/*.desktop

install -D -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# remove files not bundled
rm -rf %{buildroot}%{_prefix}/doc/ %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/epiphany-1.*/extensions/*a

%find_lang %{name} --with-gnome
 
%post
%update_menus
%update_desktop_database
%update_icon_cache hicolor
%post_install_gconf_schemas %name

%preun
%preun_install_gconf_schemas %name

%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/dbus-1/services/*.service
%{_datadir}/gwget/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files -n epiphany-gwget
%defattr (-,root,root)
%doc COPYING
%{_libdir}/epiphany/*/extensions/*


%changelog
* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 0.99-3mdv2008.0
+ Revision: 92486
- Update patch1 for epiphany 2.20
- Remove icon extension in .desktop file
- Fix build

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 0.99-2mdv2008.0
+ Revision: 66817
- Add fedora patch to have gwget built against epiphany 2.19
- BR epiphany
- xdg menu category

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 0.99-1mdv2008.0
+ Revision: 32405
- fix file list
- patch not needed
- New version

  + Adam Williamson <awilliamson@mandriva.com>
    - fix typo in Epiphany patch (broke 2007 build)
    - 0.98.2, rebuild to fix #26100


* Sun May 07 2006 Jerome Soyer <saispo@mandriva.org> 0.98.1-1mdk
- New release 0.98.1

* Sun Jan 08 2006 Pascal Terjan <pterjan@mandriva.org> 0.97-1mdk
- 0.97

* Thu Nov 24 2005 Lenny Cartier <lenny@mandriva.com> 0.96-3mdk
- rebuild for dependencies

* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.96-2mdk
- Rebuild to avoid libglitz deps

* Wed Aug 17 2005 Abel Cheung <deaddog@mandriva.org> 0.96-1mdk
- Release 0.96
- rpmbuildupdate aware URL
- Split epiphany extension

* Tue May 17 2005 Jerome Soyer <saispo@mandriva.org> 0.95-1mdk
- Release 0.95

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.93-1mdk 
- Release 0.93
- Move epiphany extensions

* Thu Jan 06 2005 Jerome Soyer <saispo@mandrake.org> 0.92.1-1mdk
- New version

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-2mdk 
- Rebuild with latest howl
- fix schema uninstall

* Fri Dec 17 2004 Jerome Soyer <saispo@mandrake.org> 0.92-1mdk
- New version

* Tue Nov 30 2004 Jerome Soyer <saispo@mandrake.org> 0.91-2mdk
- Rebuild according to Abel Cheung advice. Thks.

* Mon Nov 29 2004 Jerome Soyer <saispo@mandrake.org> 0.91-1mdk
- New version

* Fri Oct 15 2004 Jerome Soyer <saispo@mandrake.org> 0.90-1mdk
- New version

* Sun Sep 12 2004 Jerome Soyer <saispo@mandrake.org> 0.14.1-1mdk
- New version

* Thu Aug 26 2004 Jerome Soyer <saispo@mandrake.org> 0.14-2mdk
- Fix BuildRequires

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 0.14-1mdk
- 0.14

* Thu Aug 19 2004 Jerome Soyer <saispo@mandrake.org> 0.13.1-2mdk
- Rebuild for new menu

* Sat Jul 24 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.13.1-1mdk
- 0.13.1

* Wed Jul 14 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.12-1mdk
- 0.12

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11-1mdk
- 0.11

* Sun Jan 18 2004 Abel Cheung <deaddog@deaddog.org> 0.9-1mdk
- New version

* Sun Nov 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- 0.8

* Sun Oct 26 2003 Abel Cheung <deaddog@deaddog.org> 0.7-1mdk
- 0.7
- Build binary with rpm opt flags

* Mon Sep 29 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- First gwget2 package (GNOME 2 based), based on old gwget spec

* Sat Aug 02 2003 Michael Scherer <scherer.michael@free.fr> 0.5.2-3mdk 
- clean spec files.
- buildrequires

